__author__ = "ardevelop"

import escape


def textbox(model, *fields):
    name = model.prefix + ".".join(fields)
    value = model.get(*fields) or ""
    return '<input type="text" class="textbox" name="' + name + '" value="' + escape.attribute(value) + '"/>'


def hidden(model, *fields):
    name = model.prefix + ".".join(fields)
    value = model.get(*fields) or ""
    return '<input type="hidden" name="' + name + '" value="' + escape.attribute(value) + '"/>'


def textarea(model, *fields):
    name = model.prefix + ".".join(fields)
    value = model.get(*fields) or ""
    return '<textarea class="textarea" name="' + name + '">' + escape.attribute(value) + '</textarea>'


def dropdown(options, model, *fields):
    name = model.prefix + ".".join(fields)
    value = model.get(*fields) or ""
    options = [
        '<option value="' + escape.attribute(val) + '"' + (
        'selected="selected"' if val == value else '') + '>' + escape.attribute(text) + '</option>'
        for val, text in options]

    return '<select data-control="dropdown" name="' + name + '">' + "".join(options) + '</select>'